Subject: Re: B19, EGCS 1.1: Strcasecmp uses uppercase?
From: [email-masked] (Mumit Khan)

27 Nov 1998 19:11:22 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Steven van Dijk <[email-masked]>
Cc: [email-masked]

Steven van Dijk <[email-masked]> writes:
> 
> #include <stdio.h>
> #include <string.h>
> 
> main()
> {
>         char * s1 = "String";
>         char * s2 = "S_";
> 
>         printf("Comparing s1 with s2 returns: %d\n", strcasecmp(s1,s2));
> }
> 
> On my system (using b19, no patches and EGCS 1.1) I get:
> Comparing s1 with s2 returns: -11
> 
> and on the Unix system I get:
> Comparing s1 with s2 returns: 21

This is a bug in newlib string handling routines. I'll submit a patch to
the cygwin folks.

Thanks for pointing it out with a test case. There is a workaround until
the patch makes it in -- always specify the *longer* string as the *second*
argument.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".